Search documentation of ExStreamClient

# ExStreamClient.Model.ReactionResponse (ExStreamClient v0.1.10)

View Source

Schema representing a ReactionResponse

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.ReactionResponse{
      created_at: float(),
      custom: %{optional(String.t()) => any()},
      message_id: String.t(),
      score: integer(),
      type: String.t(),
      updated_at: float(),
      user: ExStreamClient.Model.UserResponse.t(),
      user_id: String.t()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()